#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	long long int n;
	unsigned long long int s;
	ifstream f1("DE003.INP");
	f1>>n;
	f1.close();
	s=n;
	s=s*(n+1);
	s=s*(n+2);
	s=s*(n+3);
	s=s/4;
	ofstream f2("DE003.OUT");
	f2<<s;
	f2.close();
	return 0;
}